import "@/assets/style/reset.css"
import "@/assets/style/my-reset.css"
import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import axios from 'axios'
import 'viewerjs/dist/viewer.css'
import Viewer from 'v-viewer'
import VueLazyLoad from 'vue-lazyload'
import clickOutside from "@/directives/v-click-outside.js"

// 禁用上下文菜单
document.oncontextmenu = function(e) {
  e.preventDefault()
}

Vue.use(VueLazyLoad, {
  error: require('@/assets/images/IMGerror.png'),
  loading: require('@/assets/images/loading.gif')
})
Vue.use(Viewer)
Vue.use(clickOutside)

Vue.config.productionTip = false
Vue.prototype.$http = axios


new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
